Subject: RE: bug#8851: 24.0.50; regression: special-display-frame is no longer dedicated

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Jun 2011 10:48:51 -0700

> So you somewhere have settings for this buffer in
> `special-display-buffer-names' or `special-display-regexps'.  
> Why can't you send me them?

I gave you this info in the initial bug report.  Here it is again:

> I have non-nil `pop-up-frames'.  I use a special-display frame for
> buffers such as `*Buffer List*' and `*info*'.  
> My value of `special-display-regexps' is this:
> ("[ ]?[*][^*]+[*]")
>
>  > Here is a recipe (you just need to download the same 2 
>  > files as for the recipe for bug #8856).
>
> I need a simple recipe from emacs -Q.

I gave you one.  Here it is again:

runemacs.exe -Q --debug-init -l "hexrgb.el" -l "oneonone.el" -f "1on1-emacs"
 
Download the two files mentioned from here:
http://www.emacswiki.org/cgi-bin/wiki?action=index;match=%5C.(el%7Ctar)(%5C.gz)%
3F%24

1. Load your new window.el that you just sent me (but see below).

2. (setq special-display-regexps '("[ ]?[*][^*]+[*]"))

So far, the recipe is the same for bug #8851 and #8856.  Now it changes.

3.
> visit a file foo.el, then use `C-x 5 0' to remove its frame.

It doesn't matter what file you use here, as long as its buffer name doesn't
match `special-display-regexps'.

4.
> hit C-x C-b and get the buffer menu in a new, special-display frame.

This part is now broken also, using the window.el you sent me: the frame is not
a special-display frame anymore.

(See oneonone.el for the definition of `special-display-frame-alist' etc.)

5.
> click mouse-2 on the foo.el line to visit that file.

foo.el is displayed in the same frame and window as *Buffer List* was displayed.
That's the bug.  But now the behavior is mixed up with the new bug of not even
showing *Buffer List* in a special-display frame.

> What I need are your settings wrt special-display-... and
> the buffer in question.  Why can't you post these?

There is no particular buffer in question (do you mean foo.el?), and you have
the `special-display-regexps' setting.  Please just follow the recipe.

Can you reproduce the problems?  Try first without step #1, to see the bug I
reported.  Try with step #1 to see that your fix just adds another problem.

The first step is to reproduce the problem.  Then we can try to debug it.